package com.ruoyi.bar.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bar.mapper.WyBarRoleMapper;
import com.ruoyi.bar.domain.WyBarRole;
import com.ruoyi.bar.service.IWyBarRoleService;

/**
 * 角色信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-04
 */
@Service
public class WyBarRoleServiceImpl implements IWyBarRoleService 
{
    @Autowired
    private WyBarRoleMapper wyBarRoleMapper;

    /**
     * 查询角色信息
     * 
     * @param roleId 角色信息主键
     * @return 角色信息
     */
    @Override
    public WyBarRole selectWyBarRoleByRoleId(Long roleId)
    {
        return wyBarRoleMapper.selectWyBarRoleByRoleId(roleId);
    }

    /**
     * 查询角色信息列表
     * 
     * @param wyBarRole 角色信息
     * @return 角色信息
     */
    @Override
    public List<WyBarRole> selectWyBarRoleList(WyBarRole wyBarRole)
    {
        return wyBarRoleMapper.selectWyBarRoleList(wyBarRole);
    }

    /**
     * 新增角色信息
     * 
     * @param wyBarRole 角色信息
     * @return 结果
     */
    @Override
    public int insertWyBarRole(WyBarRole wyBarRole)
    {
        wyBarRole.setCreateTime(DateUtils.getNowDate());
        return wyBarRoleMapper.insertWyBarRole(wyBarRole);
    }

    /**
     * 修改角色信息
     * 
     * @param wyBarRole 角色信息
     * @return 结果
     */
    @Override
    public int updateWyBarRole(WyBarRole wyBarRole)
    {
        wyBarRole.setUpdateTime(DateUtils.getNowDate());
        return wyBarRoleMapper.updateWyBarRole(wyBarRole);
    }

    /**
     * 批量删除角色信息
     * 
     * @param roleIds 需要删除的角色信息主键
     * @return 结果
     */
    @Override
    public int deleteWyBarRoleByRoleIds(Long[] roleIds)
    {
        return wyBarRoleMapper.deleteWyBarRoleByRoleIds(roleIds);
    }

    /**
     * 删除角色信息信息
     * 
     * @param roleId 角色信息主键
     * @return 结果
     */
    @Override
    public int deleteWyBarRoleByRoleId(Long roleId)
    {
        return wyBarRoleMapper.deleteWyBarRoleByRoleId(roleId);
    }
}
